# Laird's Config.

ServerName			"ftp.vectorstar.net"
ServerType			standalone 
DefaultServer			on
DefaultRoot			/vsn
Port				21
Umask				022
# IMPORTANT FOR NIS!
PersistentPasswd		off

# This is old hat. we now handle this through altq on the firewall.
#TransferRate			RETR 20
#TransferRate			STOR 20

MaxClients			30
MaxClientsPerHost		3
MaxInstances			30
User				nobody
Group				nogroup

RequireValidShell		off
#hiddenStor			on
PassivePorts			65001 65534
IdentLookups			off

<Directory /*>
  AllowOverwrite		on
  HideNoAccess			on
</Directory>

# A basic anonymous configuration, no upload directories.
<Anonymous /vsn/pub>
  User				nobody
  Group				nogroup

  UserAlias			anonymous nobody
  UserAlias			ftp nobody
  MaxClients			10
  DisplayLogin			welcome.msg
  DisplayFirstChdir		.message
  #RateReadBPS			10240
  TransferRate RETR 10
  # Limit WRITE everywhere in the anonymous chroot
  <Limit WRITE>
    DenyAll
  </Limit>
</Anonymous>
